Package: org.grails.web.mapping.reporting

## [Groovy] Class UrlMappingsReportCommand

- org.grails.web.mapping.reporting.UrlMappingsReportCommand

- All Implemented Interfaces and Traits:
    ApplicationCommand

      @groovy.transform.CompileStatic
      @groovy.transform.EqualsAndHashCode
      @groovy.util.logging.Commons
      class UrlMappingsReportCommand
      extends java.lang.Object
      implements ApplicationCommand

  A ApplicationCommand that renders the URL mappings

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `description` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `description`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsReportCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `handle(ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String description

  - ### Property Detail

    - #### final java.lang.String description

  - ### Constructor Detail

    - #### UrlMappingsReportCommand()

  - ### Method Detail

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)